# $Revision: 1.17 $, $Date: 2010/06/06 08:38:26 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	libintl-perl
Summary:	Internationalization library for Perl
Summary(pl.UTF-8):	Biblioteka umiędzynaradawiająca Perla
Name:		perl-libintl
Version:	1.20
Release:	2
License:	LGPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/G/GU/GUIDO/%{pnam}-%{version}.tar.gz
# Source0-md5:	cb36f58a7d2e15974f25b35381548b1b
URL:		http://search.cpan.org/dist/libintl-perl/
BuildRequires:	gdbm-devel
%{?with_tests:BuildRequires:	glibc-localedb-all}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The package is an internationalization library for Perl that aims to
be compatible with the Uniforum message translations system as
implemented for example in GNU gettext.

%description -l pl.UTF-8
Pakiet stanowi bibliotekę umiędzynaradawiającą Perla, która ma na celu
zachowanie zgodności ze standardem Uniforum tłumaczenia komunikatów
zaimplementowanym na przykład w gettexcie GNU.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

# LC_ALL= LANG=... -- workaround for broken (?) gettext
%{?with_tests:LC_ALL= LANG=en_US %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BULD_ROOT%{perl_archlib}/perllocal.pod
rm -f $RPM_BULD_ROOT%{perl_vendorarch}/auto/libintl-perl/.packlist
rm -f $RPM_BULD_ROOT%{perl_vendorlib}/Locale/gettext_xs.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog TODO
%dir %{perl_vendorarch}/auto/Locale/gettext_xs
%attr(755,root,root) %{perl_vendorarch}/auto/Locale/gettext_xs/*.so
%{perl_vendorarch}/auto/Locale/gettext_xs/gettext_xs.bs
%{perl_vendorlib}/Locale/*.pm
%{perl_vendorlib}/Locale/Recode
%{perl_vendorlib}/Locale/RecodeData
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-libintl.spec,v $
Revision 1.17  2010/06/06 08:38:26  arekm
- release 2

Revision 1.16  2009/11/02 07:17:53  amateja
- updated to 1.20
- patch seems to be obsolete

Revision 1.15  2008/03/25 21:25:53  qboosh
- generic URL

Revision 1.14  2008-03-23 12:57:08  megabajt
- release 3

Revision 1.13  2008-02-08 13:54:02  arekm
- rel 2

Revision 1.12  2008-01-10 08:33:09  glen
- CC/OPTIMIZE go to make, not perl

Revision 1.11  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.9  2006/08/20 17:10:39  arekm
BR: gdbm-devel

Revision 1.8  2006/02/15 22:30:00  glen
- updated to 1.16

Revision 1.7  2005/02/20 09:34:48  radek
- kill empty *.bs

Revision 1.6  2005/02/19 16:06:25  radek
- release 3: LC_ALL= for make test

Revision 1.5  2005/02/19 15:27:09  radek
- release 2: added -kill_libiconv.patch and LANG=en_US hack for tests
  (workaround for a weird gettext behaviour: if LANG is "C" or "POSIX",
  LANGUAGES is ignored)

Revision 1.4  2005/01/15 15:27:31  qboosh
- copy-pasto

Revision 1.3  2005/01/15 15:16:17  qboosh
- typos

Revision 1.2  2005/01/14 08:09:21  ankry
- kill bogus changelog, fixed name

Revision 1.1  2005/01/14 08:04:15  ankry
- new
